Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.code.generator.wrapping
Class CodeGeneratorProjectPlugin

    java.lang.Object
      edu.stanford.smi.protege.plugin.AbstractPlugin
          edu.stanford.smi.protege.plugin.AbstractProjectPlugin
              edu.stanford.smi.protege.plugin.ProjectPluginAdapter
                  edu.stanford.smi.protege.code.generator.wrapping.CodeGeneratorProjectPlugin

All Implemented Interfaces:
  Plugin, ProjectPlugin, Disposable

    public class CodeGeneratorProjectPlugin

extends ProjectPluginAdapter

Field Summary
`static String` | `CODE_MENU`

Constructor Summary
`CodeGeneratorProjectPlugin()`

Method Summary
`void` | `afterShow(ProjectView view, ProjectToolBar toolBar, ProjectMenuBar menuBar)` Called after the view has been added to the screen
`void` | `beforeHide(ProjectView view, ProjectToolBar toolBar, ProjectMenuBar menuBar)` Call before the view has been removed from the screen

Methods inherited from class edu.stanford.smi.protege.plugin.ProjectPluginAdapter
`afterCreate, afterLoad, afterSave, beforeClose, beforeSave`

Methods inherited from class edu.stanford.smi.protege.plugin.AbstractPlugin
`dispose, getName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Field Detail

### CODE_MENU

    public static final String CODE_MENU

See Also:
  Constant Field Values

Constructor Detail

### CodeGeneratorProjectPlugin

    public CodeGeneratorProjectPlugin()

Method Detail

### afterShow

    public void afterShow(ProjectView view,
                          ProjectToolBar toolBar,
                          ProjectMenuBar menuBar)

  Description copied from interface: `ProjectPlugin`
  Called after the view has been added to the screen

  Specified by:
    `afterShow` in interface `ProjectPlugin`
  Overrides:
    `afterShow` in class `ProjectPluginAdapter`

### beforeHide

    public void beforeHide(ProjectView view,
                           ProjectToolBar toolBar,
                           ProjectMenuBar menuBar)

  Description copied from interface: `ProjectPlugin`
  Call before the view has been removed from the screen

  Specified by:
    `beforeHide` in interface `ProjectPlugin`
  Overrides:
    `beforeHide` in class `ProjectPluginAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.